"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:projects/smalltalk' }"

ApplicationDefinition subclass:#stx_projects_smalltalk
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!

!stx_projects_smalltalk class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    The Smalltalk executable (with GUI)

    [Author:]
        Claus Gittinger

    [startWith:]
        Start the ST/X application from the command line
"
! !

!stx_projects_smalltalk class methodsFor:'description'!

applicationName
    "build a stx.exe"

    ^ 'stx'
!

buildTarget
    "build the executable file only - do not build an installer"

     ^ 'exe'
!

isConsoleApplication
    ^ true
!

isGUIApplication
    ^ true
!

needResources
    "my resources are already in place"

    ^ false    
!

preRequisites
    ^ #(
        #'stx:libbasic'    "ProjectDefinition - superclass of stx_projects_smalltalk "
        #'stx:libbasic2'
        #'stx:libbasic3'
        #'stx:libcomp'    
        #'stx:libhtml'
        #'stx:libtool'    
        #'stx:libtool2'
        #'stx:libui'
        #'stx:libview'
        #'stx:libview2'
        #'stx:libwidg'
        #'stx:libwidg2'
        #'stx:libwidg3'
        #'stx:goodies/refactoryBrowser/helpers'
        #'stx:goodies/refactoryBrowser/parser'
        #'stx:goodies/refactoryBrowser/refactoring'
        #'stx:goodies/refactoryBrowser/changes'
        #'stx:libboss'
    )
!

subProjects
    ^ #(
)
! !

!stx_projects_smalltalk class methodsFor:'description - building'!

additionalRules_bc_dot_mak
    ^ '
noConsoleStx:
        $(MAKE) CFLAGS_APPTYPE=$(CFLAGS_NOCONSOLE) LFLAGS_APPTYPE=$(LFLAGS_NOCONSOLE) CRT_STARTUP=$(CRT_STARTUP_NOCONSOLE) PROJECT=winstx.exe winstx.exe
'
!

additionalTargets_bc_dot_mak
    ^ 'noConsoleStx'
! !

!stx_projects_smalltalk class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        #'stx_projects_smalltalk'
    )
!

extensionMethodNames
    ^ #(
    )
! !

!stx_projects_smalltalk class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Integrated Development Environment'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_projects_smalltalk class methodsFor:'description - startup'!

startupClassName
    ^ #Smalltalk
!

startupSelector
    ^ #start
! !

!stx_projects_smalltalk class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
